## com.trilead.ssh2.packets
Class PacketUserauthRequestPassword

    java.lang.Object
      com.trilead.ssh2.packets.PacketUserauthRequestPassword

    public class PacketUserauthRequestPassword

extends java.lang.Object

PacketUserauthRequestPassword.

Constructor Summary
`PacketUserauthRequestPassword(byte[] payload, int off, int len)`
`PacketUserauthRequestPassword(java.lang.String serviceName, java.lang.String user, java.lang.String pass)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketUserauthRequestPassword

    public PacketUserauthRequestPassword(java.lang.String serviceName,
                                         java.lang.String user,
                                         java.lang.String pass)

### PacketUserauthRequestPassword

    public PacketUserauthRequestPassword(byte[] payload,
                                         int off,
                                         int len)
                                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPayload

    public byte[] getPayload()